import { $postParam, $post } from "@/plugins/axios";

// user --------------------------------->
// user-manage
export const userListPage = datas => {
  return $postParam("/api/sys_user/page", datas);
};
export const updateUser = datas => {
  return $post("/api/sys_user/save", datas);
};
export const ableUser = ({ id, enable }) => {
  return $post("/api/sys_user/enable", { id, enable });
};
export const resetPwd = id => {
  return $post("/api/sys_user/reset_password", { id });
};
export const userRoleListPage = () => {
  return $postParam("/api/sys_role/list", {});
};

export const updatePwd = datas => {
  return $post("/api/admin/sys/user/update_password", datas);
};
export const userBindRoles = ({ id, roleIds }) => {
  return $post("/api/admin/sys/user/bind_roles", { id, roleIds });
};

export const syncUserToEcs = () => {
  return $postParam("/api/admin/sys/user/push", {});
};
export const roleUserTree = () => {
  return $postParam("/api/admin/sys/user/org-tree", {});
};

// role-manage
export const roleListPage = datas => {
  return $postParam("/api/admin/sys/role/list", datas);
};
export const ableRole = ({ id, enable }) => {
  return $post("/api/admin/sys/role/enable", { id, enable });
};
export const updateRole = datas => {
  return $post("/api/admin/sys/role/save", datas);
};
export const deleteRole = id => {
  return $postParam("/api/admin/sys/role/remove", { id });
};
export const userBoundRoles = userId => {
  return $postParam("/api/admin/sys/role/get_user_roles", { userId });
};
// role-user-manage
export const roleGroupList = datas => {
  return $postParam("/api/admin/sys/role/group/list", datas);
};
export const updateRoleGroup = datas => {
  return $post("/api/admin/sys/role/group/save", datas);
};
// menu-manage
export const menuAuthList = datas => {
  return $postParam("/api/admin/sys/privilege/list_auth", datas);
};
export const privilegeList = datas => {
  return $postParam("/api/admin/sys/privilege/list", datas);
};
export const roleBoundPrivileges = roleId => {
  return $postParam("/api/admin/sys/privilege/get_role_privileges", { roleId });
};
// organization-manage
export const organizationList = datas => {
  return $postParam("/api/admin/sys/org/list", datas);
};
export const organizationFindByTypeList = datas => {
  return $postParam("/api/admin/sys/org/find_by_type", datas);
};
export const updateOrganization = datas => {
  return $post("/api/admin/sys/org/save", datas);
};
export const ableOrganization = ({ id, enable }) => {
  return $post("/api/admin/sys/org/enable", { id, enable });
};
export const deleteOrganization = id => {
  return $post("/api/admin/sys/org/remove", { id });
};

// semester-manage
export const semesterListQuery = datas => {
  return $postParam("/api/admin/basic/semester/query", datas);
};
export const examSemesterList = datas => {
  return $postParam("/api/admin/basic/semester/list", datas);
};
export const deleteSemester = id => {
  return $postParam("/api/admin/basic/semester/delete", { id });
};
export const updateSemester = datas => {
  return $post("/api/admin/basic/semester/save", datas);
};
export const semesterSetInUsed = id => {
  return $postParam("/api/admin/basic/semester/set_in_used", { id });
};

// exam-type-manage
export const examTypeListQuery = datas => {
  return $postParam("/api/admin/paper/exam_type/page", datas);
};
export const deleteExamType = ids => {
  return $postParam("/api/admin/paper/exam_type/delete", {
    ids: ids.join()
  });
};
export const updateExamType = datas => {
  return $post("/api/admin/paper/exam_type/save", datas);
};

// auth-set
export const authSelect = () => {
  return $post("/api/admin/auth/select", {});
};
export const offlineActivation = datas => {
  return $post("/api/admin/auth/offline/activation", datas);
};
export const exportDeviceInfo = () => {
  return $post(
    "/api/admin/auth/export/device/info",
    {},
    {
      responseType: "blob"
    }
  );
};
